<template>
  <el-dialog title="提示" :visible="showModal" :before-close="onBeforeClose" center width="400px" top="30vh">
    <div class="content">
      <h4>患者信息保存后，仅支持修改手机号</h4>
      <h4>请仔细核对患者基础信息是否准确无误</h4>
    </div>
    <span slot="footer" class="dialog-footer">
      <el-button @click="showModal = false">取 消</el-button>
      <el-button type="primary" @click="onSubmit">确 定</el-button>
    </span>
  </el-dialog>
</template>
<script>
export default {
  name: "SubmitDiag",
  computed: {
    showModal: {
      get() {
        return this.visible;
      },
      set(val) {
        this.$emit("update:visible", val);
      },
    },
  },
  props: ["visible"],
  data() {
    return {};
  },
  methods: {
    onBeforeClose(done) {
      this.showModal = false;
    },
    onSubmit() {
      this.$emit("onOk");
    },
  },
};
</script>
<style lang="scss" scoped>
.content {
  h4 {
    color: #000;
    font-size: 16px;
    font-weight: 600;
    text-align: center;
  }
}
</style>
